Discussion:
tycho 0.17.0 re-staged
(too old to reply)
Sievers, Jan
2013-03-20 14:54:50 UTC
Permalink
Tycho milestone release 0.17.0 has been re-staged.
In comparison to the previous staged version, two more bugs [1,2] discovered after staging have been fixed.

For more details about other changes in 0.17.0, see the release notes [3].

To use it, change your tycho version to 0.17.0 and add snippet [4] to your pom.
If you used the previous stage, delete ~/.m2/repository/org/eclipse/tycho/ and make sure you use the new staging URL [4].

We plan to promote this release on Friday.

Regards,
Tycho team

---

[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
[2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=387796
[3] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[4]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-170/</url>
</pluginRepository>
</pluginRepositories>
Matthias Sohn
2013-03-20 16:49:46 UTC
Permalink
Post by Sievers, Jan
Tycho milestone release 0.17.0 has been re-staged.
In comparison to the previous staged version, two more bugs [1,2]
discovered after staging have been fixed.
For more details about other changes in 0.17.0, see the release notes [3].
To use it, change your tycho version to 0.17.0 and add snippet [4] to your pom.
If you used the previous stage, delete ~/.m2/repository/org/eclipse/tycho/
and make sure you use the new staging URL [4].
We plan to promote this release on Friday.
Regards,
Tycho team
---
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
[2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=387796
[3] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[4]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-170/
</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
JGit and EGit build smoothly using this Tycho version

--
Matthias
Paul Webster
2013-03-21 11:13:04 UTC
Permalink
Post by Sievers, Jan
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
[2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=387796
[3] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[4]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-170/
</url>
</pluginRepository>
</pluginRepositories>
I get a Bad Gateway error going to this URL

PW
--
Paul Webster
Hi floor. Make me a sammich! - GIR
Igor Fedorenko
2013-03-21 11:35:36 UTC
Permalink
Something bad has happened in our datacenter, our folks are working on
it but no ETA of fix yet. I assume there will be announcement on ossrh
mailing list when we are back.

--
Regards,
Igor

On Thu, Mar 21, 2013 at 7:13 AM, Paul Webster
Post by Paul Webster
Post by Sievers, Jan
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
[2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=387796
[3] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[4]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-170/</url>
</pluginRepository>
</pluginRepositories>
I get a Bad Gateway error going to this URL
PW
--
Paul Webster
Hi floor. Make me a sammich! - GIR
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
Justin Georgeson
2013-03-21 17:03:58 UTC
Permalink
I'm seeing a compile failure in 0.17 that I don't see in 0.15 or 0.16 (it's not even a warning in 0.15 and 0.16). It also compiles in Eclipse 4.2.1.

[ERROR] Failed to execute goal org.eclipse.tycho:tycho-compiler-plugin:0.17.0:compile (default-compile) on project com.lgc.owsw: C
ompilation failure: Compilation failure:
[ERROR] C:\SVN\DS_5000_10_0_0\plugins\com.lgc.owsw\src\com\lgc\ow\infra\server\OWValueTableCoordList.java:[20,0]
[ERROR] public class OWValueTableCoordList extends OWAbstractCoordList implements
[ERROR] ^^^^^^^^^^^^^^^^^^^^^
[ERROR] The type OWValueTableCoordList must implement the inherited abstract method List.set(int, Object)
[ERROR] C:\SVN\DS_5000_10_0_0\plugins\com.lgc.owsw\src\com\lgc\ow\infra\server\MValueTableCoordList.java:[20,0]
[ERROR] public class MValueTableCoordList extends OWAbstractCoordList {
[ERROR] ^^^^^^^^^^^^^^^^^^^^
[ERROR] The type MValueTableCoordList must implement the inherited abstract method List.set(int, Object)
[ERROR] 2 problems (2 errors)

The execution environment (both the global one in tycho-platform-configuration and in the manifest.mf) is JavaSE-1.6. Could the upgrade to Kepler M6 JDT be the culprit here? Was there a change in the strictness of language standard compliance? I'm using the same mvn command, with the same sandbox, the same JDK, and the same dependencies. I'm using a separate m2 cache for each version of Tycho.

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Wednesday, March 20, 2013 9:55 AM
To: Tycho user list
Subject: [tycho-user] tycho 0.17.0 re-staged

Tycho milestone release 0.17.0 has been re-staged.
In comparison to the previous staged version, two more bugs [1,2] discovered after staging have been fixed.

For more details about other changes in 0.17.0, see the release notes [3].

To use it, change your tycho version to 0.17.0 and add snippet [4] to your pom.
If you used the previous stage, delete ~/.m2/repository/org/eclipse/tycho/ and make sure you use the new staging URL [4].

We plan to promote this release on Friday.

Regards,
Tycho team

---

[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
[2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=387796
[3] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[4]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-170/</url>
</pluginRepository>
</pluginRepositories>

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user

----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and privileged information for the sole use of the intended recipient. Any review, use, distribution, or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive information for the intended recipient), please contact the sender by reply e-mail and delete all copies of this message.
Justin Georgeson
2013-03-21 19:35:59 UTC
Permalink
I just downloaded 4.3 M6 and can reproduce the compiler error in the IDE. I've notified my developers of the impending issue and will take this project out of my reactor to continue testing 0.1.7.

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Justin Georgeson
Sent: Thursday, March 21, 2013 12:04 PM
To: Tycho user list
Subject: Re: [tycho-user] tycho 0.17.0 re-staged

I'm seeing a compile failure in 0.17 that I don't see in 0.15 or 0.16 (it's not even a warning in 0.15 and 0.16). It also compiles in Eclipse 4.2.1.

[ERROR] Failed to execute goal org.eclipse.tycho:tycho-compiler-plugin:0.17.0:compile (default-compile) on project com.lgc.owsw: C ompilation failure: Compilation failure:
[ERROR] C:\SVN\DS_5000_10_0_0\plugins\com.lgc.owsw\src\com\lgc\ow\infra\server\OWValueTableCoordList.java:[20,0]
[ERROR] public class OWValueTableCoordList extends OWAbstractCoordList implements [ERROR] ^^^^^^^^^^^^^^^^^^^^^ [ERROR] The type OWValueTableCoordList must implement the inherited abstract method List.set(int, Object) [ERROR] C:\SVN\DS_5000_10_0_0\plugins\com.lgc.owsw\src\com\lgc\ow\infra\server\MValueTableCoordList.java:[20,0]
[ERROR] public class MValueTableCoordList extends OWAbstractCoordList { [ERROR] ^^^^^^^^^^^^^^^^^^^^ [ERROR] The type MValueTableCoordList must implement the inherited abstract method List.set(int, Object) [ERROR] 2 problems (2 errors)

The execution environment (both the global one in tycho-platform-configuration and in the manifest.mf) is JavaSE-1.6. Could the upgrade to Kepler M6 JDT be the culprit here? Was there a change in the strictness of language standard compliance? I'm using the same mvn command, with the same sandbox, the same JDK, and the same dependencies. I'm using a separate m2 cache for each version of Tycho.

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Wednesday, March 20, 2013 9:55 AM
To: Tycho user list
Subject: [tycho-user] tycho 0.17.0 re-staged

Tycho milestone release 0.17.0 has been re-staged.
In comparison to the previous staged version, two more bugs [1,2] discovered after staging have been fixed.

For more details about other changes in 0.17.0, see the release notes [3].

To use it, change your tycho version to 0.17.0 and add snippet [4] to your pom.
If you used the previous stage, delete ~/.m2/repository/org/eclipse/tycho/ and make sure you use the new staging URL [4].

We plan to promote this release on Friday.

Regards,
Tycho team

---

[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
[2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=387796
[3] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[4]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-170/</url>
</pluginRepository>
</pluginRepositories>

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user

----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and privileged information for the sole use of the intended recipient. Any review, use, distribution, or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive information for the intended recipient), please contact the sender by reply e-mail and delete all copies of this message.
Sievers, Jan
2013-03-22 08:41:24 UTC
Permalink
might be a regression in jdt core Kepler M6 related to generics.
does the same code compile with Oracle's javac?

If you can provide a stripped down example project, this would help.

I don't think this will stop tycho 0.17.0 though.
The version of the JDT compiler used by tycho is configurable.

Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Justin Georgeson
Sent: Donnerstag, 21. März 2013 20:36
To: Tycho user list
Subject: Re: [tycho-user] tycho 0.17.0 re-staged

I just downloaded 4.3 M6 and can reproduce the compiler error in the IDE. I've notified my developers of the impending issue and will take this project out of my reactor to continue testing 0.1.7.

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Justin Georgeson
Sent: Thursday, March 21, 2013 12:04 PM
To: Tycho user list
Subject: Re: [tycho-user] tycho 0.17.0 re-staged

I'm seeing a compile failure in 0.17 that I don't see in 0.15 or 0.16 (it's not even a warning in 0.15 and 0.16). It also compiles in Eclipse 4.2.1.

[ERROR] Failed to execute goal org.eclipse.tycho:tycho-compiler-plugin:0.17.0:compile (default-compile) on project com.lgc.owsw: C ompilation failure: Compilation failure:
[ERROR] C:\SVN\DS_5000_10_0_0\plugins\com.lgc.owsw\src\com\lgc\ow\infra\server\OWValueTableCoordList.java:[20,0]
[ERROR] public class OWValueTableCoordList extends OWAbstractCoordList implements [ERROR] ^^^^^^^^^^^^^^^^^^^^^ [ERROR] The type OWValueTableCoordList must implement the inherited abstract method List.set(int, Object) [ERROR] C:\SVN\DS_5000_10_0_0\plugins\com.lgc.owsw\src\com\lgc\ow\infra\server\MValueTableCoordList.java:[20,0]
[ERROR] public class MValueTableCoordList extends OWAbstractCoordList { [ERROR] ^^^^^^^^^^^^^^^^^^^^ [ERROR] The type MValueTableCoordList must implement the inherited abstract method List.set(int, Object) [ERROR] 2 problems (2 errors)

The execution environment (both the global one in tycho-platform-configuration and in the manifest.mf) is JavaSE-1.6. Could the upgrade to Kepler M6 JDT be the culprit here? Was there a change in the strictness of language standard compliance? I'm using the same mvn command, with the same sandbox, the same JDK, and the same dependencies. I'm using a separate m2 cache for each version of Tycho.

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Wednesday, March 20, 2013 9:55 AM
To: Tycho user list
Subject: [tycho-user] tycho 0.17.0 re-staged

Tycho milestone release 0.17.0 has been re-staged.
In comparison to the previous staged version, two more bugs [1,2] discovered after staging have been fixed.

For more details about other changes in 0.17.0, see the release notes [3].

To use it, change your tycho version to 0.17.0 and add snippet [4] to your pom.
If you used the previous stage, delete ~/.m2/repository/org/eclipse/tycho/ and make sure you use the new staging URL [4].

We plan to promote this release on Friday.

Regards,
Tycho team

---

[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
[2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=387796
[3] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[4]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-170/</url>
</pluginRepository>
</pluginRepositories>

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user

----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and privileged information for the sole use of the intended recipient. Any review, use, distribution, or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive information for the intended recipient), please contact the sender by reply e-mail and delete all copies of this message.
Thanh Ha
2013-03-21 20:45:30 UTC
Permalink
I was able to successfully build CBI Platform master branch with the
staged 0.17.0.


Thanh
Post by Sievers, Jan
Tycho milestone release 0.17.0 has been re-staged.
In comparison to the previous staged version, two more bugs [1,2] discovered after staging have been fixed.
For more details about other changes in 0.17.0, see the release notes [3].
To use it, change your tycho version to 0.17.0 and add snippet [4] to your pom.
If you used the previous stage, delete ~/.m2/repository/org/eclipse/tycho/ and make sure you use the new staging URL [4].
We plan to promote this release on Friday.
Regards,
Tycho team
---
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
[2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=387796
[3] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[4]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-170/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
Continue reading on narkive:
Loading...